<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::timeout::one&lt; T, R, U &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1timeout.html">timeout</a></li><li class="navelem"><a class="el" href="classdlib_1_1timeout_1_1one.html">one</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1timeout_1_1one-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::timeout::one&lt; T, R, U &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::timeout::one&lt; T, R, U &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1timeout_1_1one.png" usemap="#dlib::timeout::one_3C_20T_2C_20R_2C_20U_20_3E_map" alt=""/>
  <map id="dlib::timeout::one_3C_20T_2C_20R_2C_20U_20_3E_map" name="dlib::timeout::one_3C_20T_2C_20R_2C_20U_20_3E_map">
<area href="classdlib_1_1timeout_1_1bind.html" alt="dlib::timeout::bind" shape="rect" coords="0,0,169,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae19e404335de2c9776dec63b539802ac"><td class="memItemLeft" align="right" valign="top"><a id="ae19e404335de2c9776dec63b539802ac"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>go</b> ()</td></tr>
<tr class="separator:ae19e404335de2c9776dec63b539802ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a357fa2ddce819cc5b1894eb916ea43b8"><td class="memItemLeft" align="right" valign="top"><a id="a357fa2ddce819cc5b1894eb916ea43b8"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>object</b></td></tr>
<tr class="separator:a357fa2ddce819cc5b1894eb916ea43b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309d78015d79e9cf059e5081be96d994"><td class="memItemLeft" align="right" valign="top"><a id="a309d78015d79e9cf059e5081be96d994"></a>
R(T::*&#160;</td><td class="memItemRight" valign="bottom"><b>callback_function</b> )(U)</td></tr>
<tr class="separator:a309d78015d79e9cf059e5081be96d994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6014759d0aef7ab2d0ba79f8b44115"><td class="memItemLeft" align="right" valign="top"><a id="a0e6014759d0aef7ab2d0ba79f8b44115"></a>
U&#160;</td><td class="memItemRight" valign="bottom"><b>val</b></td></tr>
<tr class="separator:a0e6014759d0aef7ab2d0ba79f8b44115"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="timeout_2timeout_8h_source.html">timeout/timeout.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
